# gnupg_geterror

(PECL gnupg >= 0.1)

gnupg_geterror — Returns the errortext, if a function fails

### Description

gnupg_geterror ( resource `$identifier` ) : string

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

### Return Values

Returns an errortext, if an error has occurred, otherwise `FALSE`.

### Examples

Example #1 Procedural gnupg_geterror() example

`<?php
$res = gnupg_init();
echo gnupg_geterror($res);
?>`

Example #2 OO gnupg_geterror() example

`<?php
$gpg = new gnupg();
echo $gpg -> geterror();
?>`